%define upstream_name    Git-Wrapper
%define upstream_version 0.045

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Wrap git(7) command-line interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     0001-Fix-test-9-in-basic.t-with-Git-2.9.patch

BuildRequires: perl(Devel::CheckBin)
BuildRequires: perl(Env::Path)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(File::pushd)
BuildRequires: perl(IO::File)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: git
BuildArch:  noarch
Requires:   git

%description
Git::Wrapper provides an API for git(7) that uses Perl data structures for
argument passing, instead of CLI-style '--options' as the Git manpage does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

git config --get --global user.name  || git config --global user.name  "Your Name"
git config --get --global user.email || git config --global user.email "you@example.com"

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build


%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.45.0-4pclos2017
- rebuild against updates

